/**************************************************************************
*
*	phone.fs        
*
*	FORM:	phone          
*	DESCRIPTION:	This script manages the form that displays
*			the corporate phone book.  There is a cron
*			job to FTP this from the VM time-sharing
*			system every night.  This file is then
*			put into SQL format and inserted into the
*			database.
*
*	AUTHOR:    BT
*	DATE:      Summer 1990
*	REVIEWER:  BT
*
****************************************************************************/

FORM phone           

TARGET_TABLE phone

AFTER ZOOM
   IF PREV_FORM = 'node' AND node:noupdate = 0 THEN
      SET node:no_phone TO phone:ph_pho2

   IF PREV_FORM = 'problem' THEN
   BEGIN
      SET problem:pr_contact TO phone:ph_name
      SET problem:pr_phone TO phone:ph_pho2
   END

BEFORE FIND
   SET ph_name: SEARCH_RANGES TO ph_name: SEARCH_RANGES + '*'
   SET ph_pho1: SEARCH_RANGES TO '*' + ph_pho1: SEARCH_RANGES
   SET ph_pho2: SEARCH_RANGES TO '*' + ph_pho2: SEARCH_RANGES
   DISPLAY ph_name: SEARCH_RANGES FOR ph_name
   DISPLAY ph_pho1: SEARCH_RANGES FOR ph_pho1
   DISPLAY ph_pho2: SEARCH_RANGES FOR ph_pho2
